{% extends "app/correlations.html" %}
{% block correlations_intra_day_sessions %}
{% load staticfiles %}
<!--
this is the page for creating new intraday correlations
all the javascript can be found in app/static/app/scipts/correlations_select_actions.js and action_calls.js
-->

<link rel="stylesheet" href="{% static 'app/content/font-awesome.min.css' %}">
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-table.min.css' %}"/>
<script src="{% static 'app/scripts/bootstrap-table.js' %}"></script>
<link rel="stylesheet" type="text/css" href="{% static 'app/content/bootstrap-datetimepicker.css' %}"/>
<script src="{% static 'app/scripts/moment.min.js' %}"></script>
<script src="{% static 'app/scripts/moment-timezone-with-data-2010-2020.min.js' %}"></script>
<script src="{% static 'app/scripts/bootstrap-datetimepicker.js' %}"></script>
<script src="{% static 'app/scripts/utilities.js' %}"></script>

<script type="text/javascript">
    var username = "{{ username }}";
    var is_dso = "{{ is_dso }}";
    var ACTION_URL = "{{ ACTION_URL }}";
    var ACTION_STATUS_URL = "{{ ACTION_STATUS_URL }}";
    var ACTION_TYPE_URL = "{{ ACTION_TYPE_URL }}";
    var timeframe = "intra_day";
    var MPLACE_URL = "{{ MPLACE_URL }}";
    var MARKET_ACTOR_URL = "{{ MARKET_ACTOR_URL }}";
    var SELECT_MPLACE_URL = "{{ SELECT_MPLACE }}";
    var token = "{{token}}";
    var actorid = "{{actor.id}}";
    var user_markets = JSON.parse(JSON.parse("{{ user_markets | safe | escapejs }}"));
    var is_authenticated = "{{ is_authenticated }}";
    var memo_ip = "{{MEMO}}";
</script>

{% csrf_token %}
    <script type="text/javascript">
    $(".vertical_tab").removeClass("active");
    $("#intra_day_tab").addClass("active");
    $(".tab-pane").removeClass("active");
    $("#ahead").removeClass("active");
    $("#intra_day").addClass("active");

</script>
     <div id="table_data_helper" style="display: none;">
        <table
        id="cor2"
        data-toolbar="#toolbar_id"
        data-toggle="table"
        class="table"
        data-side-pagination="client"
        data-pagination="true"
        data-search="true"
        data-id-field="id"
        data-page-list="[10, 25, 50, 100, ALL]"
        data-sort-name="active"
        data-sort-order="desc"
        data-click-to-select="true"
        data-single-select="true"
        data-ajax-options="options">
        <thead>
            <tr>
                <th class="th th-inner" data-sortable="true" data-field="id">ID</th>
                <th class="th th-inner" data-sortable="true" data-field="type">Type</th>
                <th class="th th-inner" data-sortable="true" data-field="actionStartTime">Start Time</th>
                <th class="th th-inner" data-sortable="true" data-field="actionEndTime">End Time</th>
                <th class="th th-inner" data-sortable="true" data-field="value" data-formatter="europeanNumberFormatter">Value</th>
                <th class="th th-inner" data-sortable="true" data-field="price" data-formatter="europeanNumberFormatter">Price (&#8364;)</th>
                <th class="th th-inner" data-sortable="true" data-formatter="typeFormatter" data-field="actionType" >Action Type</th>
                <th class="th th-inner" data-sortable="true" data-field="deliveryPoint" style="text-align:center;">Delivery Point</th>
                <th class="th th-inner" data-sortable="true" data-formatter="setActionStatusSimpleFormatter" data-field="status" >Status</th>
                <th class="th th-inner" data-sortable="true" data-field="cpu">CPU</th>
                <th class="th th-inner" data-sortable="true" data-field="ram">RAM (MB)</th>
                <th class="th th-inner" data-sortable="true" data-field="disk">Disk(GB)</th>
                <th class="th th-inner" data-sortable="false" data-formatter="manageRulesFormatter" data-field="select">Manage</th>
            </tr>
        </thead>
    </table>
        {% ifnotequal request.session.actor.marketActorTypeid.type "market operator" %}
        <div id="submit_new_correlation">
               <div class="form-group">
                            <label for="type" class="col-sm-4 control-label"><strong>Select correlation type</strong>
                            </label>
                            <div class="col-sm-6">
                                <select class="form-control" id="constraint-dropdown">
                                    <option value="-1" disabled="disabled" selected="selected">-- select type --</option>
                                </select>

                            </div>
               </div>
                <button  class="btn btn-accept btn-info btn-catalyst" onclick="addCorrelation()">Add</button>
         </div>
         {% endifnotequal %}
<div class="alert alert-success" id="succesDiv">
  <strong>Success!</strong> Your new correlation has been successfully added!
</div>


<div class="alert alert-warning" id="warningDiv">
  <strong>Warning!</strong> The new correlation has not been added. Check if there is a valid constraint selected and at least one action.
</div>
<script src="{% static 'app/scripts/correlation_action_calls.js' %}"></script>
<script src="{% static 'app/scripts/correlations_create_new.js' %}"></script>

{% endblock %}